      SUBROUTINE UVARM(UVAR,DIRECT,T,TIME,DTIME,CMNAME,ORNAME,
     1 NUVARM,NOEL,NPT,LAYER,KSPT,KSTEP,KINC,NDI,NSHR,COORD,
     2 JMAC,JMATYP,MATLAYO,LACCFLA)
      INCLUDE 'ABA_PARAM.INC'

      CHARACTER*80 CMNAME,ORNAME
      PARAMETER(nfib=30)
      CHARACTER*3 FLGRAY(5*nfib+44)
      DIMENSION UVAR(NUVARM),DIRECT(3,3),T(3,3),TIME(2)
      DIMENSION ARRAY(5*nfib+44),JARRAY(5*nfib+44),JMAC(*),JMATYP(*),COORD(*)
      real *8   rho_fibs rho_fib0, rho_gag, rho_gag0

!        statev(1)=elastin density                                             !
!        statev(2)=GAG density                                                 !
!        statev(3:nfib+2)=fiber densities                                      !
!        statev(nfib+3:nfib+11)=elastin remodeling stretches                   !
!        statev(nfib+12:nfib+20)=GAG remodeling stretches                      !
!        statev(nfib+21:2*nfib+20)=fiber remodeling stretch                    !
!        statev(2*nfib+21:3*nfib+20)=elastic fiber stretches                   !
!        statev(3*nfib+21:3*nfib+29)=elastic GAG stretches                     !
!        statev(3*nfib+30:3*nfib+38)=homeostatic GAG elastic deformation       !
!        statev(3*nfib+39:4*nfib+38)=homeostatic fiber stretches               !
!        statev(4*nfib+39:4*nfib+41)=circumferential direction                 !
!        statev(4*nfib+42:4*nfib+44)=radial direction                          !
!        statev(5*nfib+45:5*nfib+44)=deformation corrected angle               !

!     The dimensions of the variables FLGRAY, ARRAY and JARRAY
!     must be set equal to or greater than 15.

      CALL GETVRM('SDV',ARRAY,JARRAY,FLGRAY,JRCD,JMAC,JMATYP,
     1 MATLAYO,LACCFLA)

      rho_fibs=sum(ARRAY(3:nfib+2)) !total current fiber apparent mass density
      rho_fib0=0.45*1050.d0         !initial fiber apparent mass density
      rho_gag=ARRAY(2)              !current GAG apparent mass density
      rho_gag0=0.35*1050.d0         !initial GAG apparent mass density
      UVAR(1)=rho_fibs/rho_fib0     !normalized fiber density
      UVAR(2)=rho_gag/rho_gag0      !normalized GAG density
      UVAR(3)=sum(ARRAY(1:nfib+2))/1050.d0 !normalized total tissue density

      RETURN
      END