function states=read_states(rpt_file)

%open rpt file
    FID=fopen(rpt_file);
    if FID==-1
        error('rpt file not found')
    end
%read the file line by line
    data=[];
    while ~feof(FID)
        line=fgetl(FID);
        line=strrep(line,'-nan(ind)','0.0');
        data=[data;sscanf(line,'%f',64)'];
    end
    fclose(FID);
    
    data=data(:,3:end);
    data=squeeze(median(data));
    
    SDVorder=[1,10,11,12,13,14,15,16,165,166,167,168,169,17,170,171,172,173,174,175,176,177,178,179,18,180,181,182,183,184,185,186,187,188,189,19,190,191,192,193,194,2,20,21,22,23,24,25,26,27,28,29,3,30,31,32,4,5,6,7,8,9];
    [~,order]=sort(SDVorder);
    states=data(order);
end

