function filename = adjust_python_file(odb,template)
    filename='extraction.py';
    
    %open the file
    FID=fopen(template);
    if FID==-1
       error(strcat('file ',python,' not found')); 
    end
    
    %read every line in the file
    tlines = textscan(FID,'%s','delimiter','\n', 'whitespace', '');
    fclose(FID);

    %change the line that indicates which odb to open
    tlines = tlines{1};
    tlines{2}=sprintf('filename = ''%s''',odb);

    %write all lines in a new python file
    FID=fopen(filename, 'w');
    fprintf(FID, '%s\n', tlines{:});
    fclose(FID);    
end

