function [mass]=read_mass(rptfile)

%open rpt file
    FID=fopen(rptfile);
    if FID==-1
        error('rpt file not found')
    end
%read the file line by line
    data=[];
    while ~feof(FID)
        line=fgetl(FID);
        line=strrep(line,'-nan(ind)','NaN');
        data=[data;sscanf(line,'%f')'];
    end
    fclose(FID);

    time=data(:,1);
    masses=data(:,2:end);
    mass=zeros(28,1)*NaN;
    time=zeros(28,1)*NaN;
    tmp=mean(masses,2);
    time(1:length(tmp))=data(:,1);
    mass(1:length(tmp))=tmp;
    mass=[time,mass];
end

