function [time,coordinates]=read_thickness(rptfile)

%open rpt file
    FID=fopen(rptfile);
    if FID==-1
        error('rpt file not found')
    end
%read the file line by line
    data=[];
    while ~feof(FID)
        line=fgetl(FID);
        line=strrep(line,'-nan(ind)','NaN');
        data=[data;sscanf(line,'%f',47)'];
    end
    fclose(FID);
    time=zeros(27,1)*NaN;
    coordinates=zeros(2,27,23)*NaN;
    data=unique(data,'rows');
    tmp=squeeze(data(:,1));
    maxt=length(tmp);
    time(1:maxt)=tmp;
    ycoords=data(:,2:24);
    zcoords=data(:,25:47);
    coordinates(1,1:maxt,:)=ycoords;
    coordinates(2,1:maxt,:)=zcoords;

end

